kmod: merge debian 22-1

Bug #1541917 reported by Andy Whitcroft on 2016-02-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kmod (Ubuntu)
High
Andy Whitcroft
linux-flo (Ubuntu)
High
Andy Whitcroft
linux-goldfish (Ubuntu)
High
Andy Whitcroft
linux-hammerhead (Ubuntu)
High
Andy Whitcroft
linux-mako (Ubuntu)
High
Andy Whitcroft
linux-manta (Ubuntu)
High
Andy Whitcroft

Bug Description

Merge up kmod 22-1 from debian.

Andy Whitcroft (apw) on 2016-02-04
Changed in kmod (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2016-02-04
Changed in kmod (Ubuntu):
milestone: none → ubuntu-16.02
Andy Whitcroft (apw) wrote :

Note that this removes the transitional package module-init-tools. Everything _should_ be using kmod by now. The things which are not now need to be fixed. Fixing those also against this bug.

Changed in linux-goldfish (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andy Whitcroft (apw)
Changed in linux-manta (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
importance: Undecided → High
Andy Whitcroft (apw) on 2016-02-24
Changed in linux-flo (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2016-02-24
Changed in linux-mako (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andy Whitcroft (apw)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-manta - 3.4.0-7.33

---------------
linux-manta (3.4.0-7.33) xenial; urgency=low

  [ Andy Whitcroft ]

  * [Config] depend on kmod in preference to module-init-tools
    - LP: #1541917

 -- Andy Whitcroft <email address hidden> Wed, 24 Feb 2016 12:21:56 +0000

Changed in linux-manta (Ubuntu):
status: In Progress → Fix Released
Andy Whitcroft (apw) on 2016-02-24
Changed in linux-hammerhead (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andy Whitcroft (apw)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-goldfish - 3.4.0-4.26

---------------
linux-goldfish (3.4.0-4.26) xenial; urgency=low

  [ Andy Whitcroft ]

  * [Packaging] correct spelling of probabaly on the tools packages
    - LP: #1256822
  * [Config] depend on kmod in preference to module-init-tools
    - LP: #1541917

 -- Andy Whitcroft <email address hidden> Wed, 24 Feb 2016 11:59:42 +0000

Changed in linux-goldfish (Ubuntu):
status: In Progress → Fix Released
Andy Whitcroft (apw) on 2016-02-24
tags: added: block-proposed
Andy Whitcroft (apw) on 2016-02-25
tags: removed: block-proposed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-hammerhead - 3.4.0-1.12

---------------
linux-hammerhead (3.4.0-1.12) xenial; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: timeconst.pl -- fix use of defined on arrays
    - LP: #1549677

linux-hammerhead (3.4.0-1.11) xenial; urgency=low

  [ Andy Whitcroft ]

  * [Config] depend on kmod in preference to module-init-tools -- part 2
    - LP: #1541917

linux-hammerhead (3.4.0-1.10) xenial; urgency=low

  [ Andy Whitcroft ]

  * [Config] depend on kmod in preference to module-init-tools
    - LP: #1541917

 -- Andy Whitcroft <email address hidden> Thu, 25 Feb 2016 09:02:21 +0000

Changed in linux-hammerhead (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-mako - 3.4.0-7.44

---------------
linux-mako (3.4.0-7.44) xenial; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: timeconst.pl -- fix use of defined on arrays
    - LP: #1549677

linux-mako (3.4.0-7.43) xenial; urgency=low

  [ Andy Whitcroft ]

  * [Config] depend on kmod in preference to module-init-tools -- part 2
    - LP: #1541917

linux-mako (3.4.0-7.42) xenial; urgency=low

  [ Andy Whitcroft ]

  * [Config] depend on kmod in preference to module-init-tools
    - LP: #1541917

 -- Andy Whitcroft <email address hidden> Thu, 25 Feb 2016 11:32:51 +0000

Changed in linux-mako (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-flo - 3.4.0-5.22

---------------
linux-flo (3.4.0-5.22) xenial; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: timeconst.pl -- fix use of defined on arrays
    - LP: #1549677

linux-flo (3.4.0-5.21) xenial; urgency=low

  [ Andy Whitcroft ]

  * [Config] depend on kmod in preference to module-init-tools -- part 2
    - LP: #1541917

linux-flo (3.4.0-5.20) xenial; urgency=low

  [ Andy Whitcroft ]

  * [Config] depend on kmod in preference to module-init-tools
    - LP: #1541917

 -- Andy Whitcroft <email address hidden> Thu, 25 Feb 2016 08:52:20 +0000

Changed in linux-flo (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kmod - 22-1ubuntu1

---------------
kmod (22-1ubuntu1) xenial; urgency=low

  * Merge with Debian unstable (LP: #1541917). Remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.
    - Install /etc/modprobe.d/mlx4.conf in libkmod2-udeb for d-i.
    - Install upstart job and exit the init script under upstart.
    - Mark transitional module-init-tools as Multi-Arch: foreign.
    - Drop the alsa-base Breaks, our version is quite different.
    - On upgrade, remove obsolete rtc module from /etc/modules.
    - Update libtool macros and rerun autoconf for new arches.

kmod (22-1) unstable; urgency=medium

  * New upstream release.
  * Set $SOURCE_DATE_EPOCH in debian/rules for reproducibility.
    (Closes: #783152)
  * Remove the module-init-tools transitional package.

 -- Andy Whitcroft <email address hidden> Thu, 04 Feb 2016 16:20:12 +0000

Changed in kmod (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers